Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153982 - Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow attackers to execute arbitrary code.
Summary: Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow attac...
Keywords:
Status: CLOSED DUPLICATE of bug 152889
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: mc
Version: rhl7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 12:44 UTC by Leonard den Ottolander
Modified: 2007-04-18 17:23 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-08 20:14:30 UTC


Attachments (Terms of Use)
Fix for CAN-2005-0763 (taken from Debian mc-4.5.55-1.2woody6). (deleted)
2005-04-06 12:44 UTC, Leonard den Ottolander
no flags Details | Diff

Description Leonard den Ottolander 2005-04-06 12:44:46 UTC
Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow
attackers to execute arbitrary code.

Only affects RHL 7.3

See http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0763 and
http://www.debian.org/security/2005/dsa-698

Attachment is extracted patch for CAN-2005-0763 from mc-4.5.55-1.2woody6
mentioned in Debian advisory.

Comment 1 Leonard den Ottolander 2005-04-06 12:44:46 UTC
Created attachment 112754 [details]
Fix for CAN-2005-0763 (taken from Debian mc-4.5.55-1.2woody6).

Comment 2 Leonard den Ottolander 2005-04-13 15:25:05 UTC
Tracked at bug 152889.


Comment 3 Marc Deslauriers 2005-05-08 20:14:30 UTC

*** This bug has been marked as a duplicate of 152889 ***


Note You need to log in before you can comment on or make changes to this bug.